package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.school.CollegeParam;
import com.github.microservice.net.ResultContent;
import com.zhongshu.card.client.utils.ITree;

import java.util.List;

/**
 * @author TRX
 * @date 2024/6/3
 */
public interface CollegeService {

    public ResultContent addCollege(CollegeParam param);

    public ResultContent<List<ITree>> getCollegeTree(String oid);

    // 删除部门
    ResultContent deleteCollege(String id);

}
